program SquareCell;

uses
  Forms,
  Display in 'Display.pas' {DisplayForm},
  Options in 'Options.pas' {OptionsDialog},
  WeightedGenerations in 'WeightedGenerations.pas' {WeightedGenerationsDialog},
  StateSelector in 'StateSelector.pas' {StateSelectorDialog},
  SelectionControl in 'SelectionControl.pas' {SelectionControlDialog},
  About in 'About.pas' {AboutDialog},
  SquareCA in 'SquareCA.pas',
  AnalysisResult in 'AnalysisResult.pas' {AnalysisResultForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.CreateForm(TDisplayForm, DisplayForm);
  Application.CreateForm(TOptionsDialog, OptionsDialog);
  Application.CreateForm(TWeightedGenerationsDialog, WeightedGenerationsDialog);
  Application.CreateForm(TStateSelectorDialog, StateSelectorDialog);
  Application.CreateForm(TSelectionControlDialog, SelectionControlDialog);
  Application.CreateForm(TAboutDialog, AboutDialog);
  Application.CreateForm(TAnalysisResultForm, AnalysisResultForm);
  Application.Run;
end.

